MockModel (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## griffon.test.mock
[Groovy] Class MockModel

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.griffon.runtime.core.AbstractGriffonArtifact
              org.codehaus.griffon.runtime.core.AbstractGriffonMvcArtifact
                  org.codehaus.griffon.runtime.core.AbstractGriffonModel
                      griffon.test.mock.MockModel

    class MockModel
    extends AbstractGriffonModel

Trivial implementation of a model class with an observable property

Authors:
  Andres Almiray

Field Summary

Fields inherited from class AbstractGriffonModel
pcs

Fields inherited from class AbstractGriffonArtifact
app, log, resourceLocator

Property Summary
`String` | `value`

Constructor Summary
`MockModel()`

Method Summary

Methods inherited from class AbstractGriffonModel
addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, getArtifactType, getPropertyChangeListeners, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener

Methods inherited from class AbstractGriffonMvcArtifact
mvcGroupDestroy, mvcGroupInit

Methods inherited from class AbstractGriffonArtifact
buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, getApp, getArtifactType, getGriffonClass, getLog, getMetaClass, getResourceAsStream, getResourceAsURL, getResources, isUIThread, metaClassOf, newInstance, setApp, setMetaClass, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### value

    @Bindable
    String value

Constructor Detail

### MockModel

    MockModel()

Groovy Documentation